Looking at the list of Critical issues, I think the following items might be considered as blockers too:

ZOOKEEPER-2418 (data inconsistency)
ZOOKEEPER-2778
ZOOKEEPER-2846 (data inconsistency)
ZOOKEEPER-2930 (leader election deadlock)

Regards,
Andor